{
    "model": {
        "type": "minecraft:select",
        "property": "minecraft:component",
        "component": "custom_name",
        "cases": [
            {
                "when": "Ghast Sister",
                "model": {
                    "type": "minecraft:model",
                    "model": "minecraft:item/spawn_egg/ghast_sister"
                }
            }
        ],
        "fallback": {
            "type": "minecraft:model",
            "model": "minecraft:item/blaze_spawn_egg"
        }
    }
}